#include maps/mp/_utility;
#include common_scripts/utility;
#include maps/mp/gametypes_zm/_hud_util;
#include maps/mp/zombies/_zm_utility;
#include maps/mp/zombies/_zm_weapons;
#include maps/mp/zombies/_zm_stats;
#include maps/mp/gametypes_zm/_hud_message;
#include maps/mp/gametypes_zm/_weapons;

init()
{
	thread onplayerconnect();
}

onplayerconnect()
{
	while(true)
	{
		level waittill("connecting", player);
		player thread onplayerspawned();
		player thread showConnectMessage();
		if(isDefined(level.player_too_many_weapons_monitor) && level.player_too_many_weapons_monitor)
			level.player_too_many_weapons_monitor = 0;
		if(isDefined(level.player_out_of_playable_area_monitor) && level.player_out_of_playable_area_monitor)
			level.player_out_of_playable_area_monitor = 0;
	}
}

onplayerspawned()
{
	self endon( "disconnect" );
	displayMessage = true;
	while(true)
	{
		self waittill( "spawned_player" );
		
	}
}

showConnectMessage()
{
	self endon( "disconnect" );
	self waittill( "spawned_player" );
	wait 8;
	self iprintln("^1Welcome " + self.name + " To ShotgunsNSkullsV2 By ^5xCometMods");
	wait 5;
	self iprintln("^1Enjoy the Tool!");
}

